Update a Kubernetes bare metal node
PUT/v1/hosts/kubernetes_baremetal_nodes/{server_id}
To update a Kubernetes node specified in the path parameter, use a PUT request to the /v1/hosts/kubernetes_baremetal_nodes/{server_id} endpoint. Labels can be added in the request body.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
server_id | stringA unique identifier of a Kubernetes node. |
Request Body
| Field | Details |
|---|---|
labels? | objectSpecify labels you want to attach to the resource. Refer to the Labels section for more details. |
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/hosts/kubernetes_baremetal_nodes/N1aM9BaW" \ -H "Content-Type: application/json" \ -d '{ "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" } }'{ "id": "N1aM9BaW", "kubernetes_cluster_id": "pmbkR5az", "kubernetes_cluster_node_id": "Jrb2KdWL", "kubernetes_cluster_node_number": 30, "rack_id": "MYerEkdO", "title": "title331", "location_id": 673, "location_code": "location1375", "status": "active", "operational_status": "normal", "power_status": "powered_on", "configuration": "REMM R123", "private_ipv4_address": "10.0.0.101", "public_ipv4_address": "169.254.0.101", "lease_start_at": "2025-12-29", "scheduled_release_at": null, "type": "kubernetes_baremetal_node", "oob_ipv4_address": "198.29.114.3", "configuration_details": { "ram_size": 0, "server_model_id": null, "server_model_name": null, "bandwidth_id": null, "bandwidth_name": null, "private_uplink_id": null, "private_uplink_name": null, "public_uplink_id": null, "public_uplink_name": null, "operating_system_id": null, "operating_system_full_name": null }, "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "created_at": "2025-12-31T00:00:00Z", "updated_at": "2025-12-31T00:00:00Z"}